de.esprit.netsuite.rtask.journal

## Interface JournalTask<S extends ServerContext>

- All Superinterfaces:
    ApplicationObject<S>, AsyncExecutable<S>, AsyncTask<S>, CancellableTask, Dumpable, Executable, LocalCancellableTask, RemoteCancellableTask, RemoteTask<S>, java.lang.Runnable, ServerObject<S>, SimpleLogSupport, TaskIdHolder, TaskMonitorSupport
  All Known Implementing Classes:
    AbstractJournalOsProcessTask, AbstractJournalTask

      public interface JournalTask<S extends ServerContext>
      extends RemoteTask<S>

  This interface defines what a journal task is able to to. Note that a journal task is not killed, when the client connection is lost. Rather the client will try to reattach when the connection is reestablished.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachAndPlayEventJournal(SessionId sessionId)` Re-attaches to the `JournalTask` and forces it to sent all stored and future events to the given session.
    `JournalTaskMonitor` | `getJournalMonitor()`
    `JournalTaskId` | `getTaskId()` Returns the `RemoteTaskId` of this task
    `void` | `setSessionId(SessionId sessionId)`

    - ### Methods inherited from interface de.esprit.netsuite.rtask.RemoteTask

      `getOwnerSessionId, getRunStateFlag, getSessionId, submit, submit`

    - ### Methods inherited from interface de.esprit.appsuite.task.AsyncTask

      `awaitFinished, awaitFinished, awaitStarted, executeChildTask, executeChildTask, getError, getProcessingDuration, hasError, isRegisterForCancel, isRunning, releaseStart, setName, setReleaseTimeout`

    - ### Methods inherited from interface de.esprit.appsuite.task.AsyncExecutable

      `checkCancelled, checkForErrorAndRethrow, executeAsync, executeSubTask, getName, getResult, getType, handleCancellation, handleFailure, isCancellable, notifyProceeded, setCancellable, setName, setResult, setRunStateFlag, sleepChecked`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.type.Executable

      `execute`

    - ### Methods inherited from interface de.esprit.appsuite.task.monitor.TaskMonitorSupport

      `addMonitor, clearMonitors, getMonitorCount, getMonitors, hasMonitor, removeMonitor`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

    - ### Methods inherited from interface de.esprit.appsuite.task.LocalCancellableTask

      `cancel`

    - ### Methods inherited from interface de.esprit.appsuite.task.CancellableTask

      `wasCancelled`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.rtask.RemoteCancellableTask

      `cancel, getKillerSessionId`

- - ### Method Detail

    - #### getTaskId

          JournalTaskId getTaskId()

      Description copied from interface: `RemoteTask`
      Returns the `RemoteTaskId` of this task
      Specified by:
        `getTaskId` in interface `AsyncExecutable<S extends ServerContext>`
      Specified by:
        `getTaskId` in interface `RemoteTask<S extends ServerContext>`
      Specified by:
        `getTaskId` in interface `TaskIdHolder`

    - #### getJournalMonitor

          JournalTaskMonitor getJournalMonitor()

    - #### attachAndPlayEventJournal

          void attachAndPlayEventJournal(SessionId sessionId)

      Re-attaches to the `JournalTask` and forces it to sent all stored and future events to the given session.

    - #### setSessionId

          void setSessionId(SessionId sessionId)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.